Package com.norconex.committer.idol

# Class IdolCommitterConfig

java.lang.Object
com.norconex.committer.idol.IdolCommitterConfig

All Implemented Interfaces:
  `Serializable`

public class IdolCommitterConfig extends Object implements Serializable
IDOL Committer configuration.

Author:
  Pascal Essiembre
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdolCommitterConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `String`
  `getDatabaseName()`
  Gets IDOL database name.
  `Map<String,String>`
  `getDreAddDataParams()`
  Gets the `DREADDDATA` optional URL parameters.
  `Map<String,String>`
  `getDreDeleteRefParams()`
  Gets the `DREDELETEREF` optional URL parameters.
  `String`
  `getSourceContentField()`
  Gets the document field name containing the value to be stored in IDOL `DRECONTENT` field.
  `String`
  `getSourceReferenceField()`
  Gets the document field name containing the value to be stored in IDOL `DREREFERENCE` field.
  `String`
  `getUrl()`
  Gets the IDOL index URL (default is `http://localhost:9001`).
  `int`
  `hashCode()`
  `boolean`
  `isCfs()`
  Gets whether the IDOL index URL points to a Connector Framework Server (CFS).
  `void`
  `setCfs(boolean cfs)`
  Sets whether the IDOL index URL points to a Connector Framework Server (CFS).
  `void`
  `setDatabaseName(String databaseName)`
  Sets IDOL database name.
  `void`
  `setSourceContentField(String sourceContentField)`
  Sets the document field name containing the value to be stored in IDOL `DRECONTENT` field.
  `void`
  `setSourceReferenceField(String sourceReferenceField)`
  Sets the document field name containing the value to be stored in IDOL `DREREFERENCE` field.
  `void`
  `setUrl(String url)`
  Sets the IDOL index URL (default is `http://localhost:9001`).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_URL

    public static final String DEFAULT_URL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IdolCommitterConfig

    public IdolCommitterConfig()

- ## Method Details

  - ### getUrl

    public String getUrl()
    Gets the IDOL index URL (default is `http://localhost:9001`).
    Returns:
      IDOL URL

  - ### setUrl

    public void setUrl(String url)
    Sets the IDOL index URL (default is `http://localhost:9001`).
    Parameters:
      `url` - the IDOL URL

  - ### isCfs

    public boolean isCfs()
    Gets whether the IDOL index URL points to a Connector Framework Server (CFS).
    Returns:
      `true` if committing to a CFS server

  - ### setCfs

    public void setCfs(boolean cfs)
    Sets whether the IDOL index URL points to a Connector Framework Server (CFS).
    Parameters:
      `cfs` - `true` if committing to a CFS server

  - ### getDatabaseName

    public String getDatabaseName()
    Gets IDOL database name.
    Returns:
      IDOL database name

  - ### setDatabaseName

    public void setDatabaseName(String databaseName)
    Sets IDOL database name.
    Parameters:
      `databaseName` - IDOL database name

  - ### getDreAddDataParams

    public Map<String,String> getDreAddDataParams()
    Gets the `DREADDDATA` optional URL parameters.
    Returns:
      URL parameters (key=parameter name; value=parameter value)

  - ### getDreDeleteRefParams

    public Map<String,String> getDreDeleteRefParams()
    Gets the `DREDELETEREF` optional URL parameters.
    Returns:
      URL parameters (key=parameter name; value=parameter value)

  - ### getSourceReferenceField

    public String getSourceReferenceField()
    Gets the document field name containing the value to be stored in IDOL `DREREFERENCE` field. Default is not a field, but rather the document reference.
    Returns:
      name of field containing id value

  - ### setSourceReferenceField

    public void setSourceReferenceField(String sourceReferenceField)
    Sets the document field name containing the value to be stored in IDOL `DREREFERENCE` field. Set to `null` in order to use the document reference instead of a field (default).
    Parameters:
      `sourceReferenceField` - name of field containing reference value, or `null`

  - ### getSourceContentField

    public String getSourceContentField()
    Gets the document field name containing the value to be stored in IDOL `DRECONTENT` field. Default is not a field, but rather the document content stream.
    Returns:
      name of field containing content value

  - ### setSourceContentField

    public void setSourceContentField(String sourceContentField)
    Sets the document field name containing the value to be stored in IDOL `DRECONTENT` field. Set to `null` in order to use the document content stream instead of a field (default).
    Parameters:
      `sourceContentField` - name of field containing content value, or `null`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`